using AbstractFoodOrdersContracts.BindingModels;
using AbstractFoodOrdersContracts.ViewModels;
using AbstractFoodOrdersContracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractFoodOrdersContracts.BusinessLogicsContracts
{
    public interface IDishLogic
    {
        List<DishViewModel>? ReadList(DishSearchModel? model);
        DishViewModel? ReadElement(DishSearchModel model);
        bool Create(DishBindingModel model);
        bool Update(DishBindingModel model);
        bool Delete(DishBindingModel model);
    }

}
